"use strict"; 
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// DataTables Demo
// =============================================================
var DataTablesDemo = /*#__PURE__*/function () {
  function DataTablesDemo() {
    _classCallCheck(this, DataTablesDemo); 
    this.init();
  } 
  _createClass(DataTablesDemo, [{
    key: "init",
    value: function init() {
      // event handlers
      this.table = this.table();
      this.searchRecords();  
     
      this.table.buttons().container().appendTo('#dt-buttons').unwrap();
    }
  }, {
    key: "table",
    value: function table() {
      return $('#Gestion_stock').DataTable({
        dom: "<'text-muted'Bi>\n        <'table-responsive'tr>\n        <'pagination justify-content-center mt-4'p>",
        buttons: ['copyHtml5', {
          extend: 'print',
          autoPrint: true
        }, {
          extend: 'excelHtml5',
          text: 'Export to Excel'
        }],
        language: {
          paginate: {
            previous: '<i class="fa fa-lg fa-angle-left"></i>',
            next: '<i class="fa fa-lg fa-angle-right"></i>'
          }
        },
        autoWidth: true,
        width: "100%",
        ajax: 'assets/data/stock_sim.php?var=suiv',
        deferRender: true,
        order: [1, 'asc'],
        columns: [  
		{
          data: 'etat',
          className: 'align-middle text-center',
		  orderable: true,
          searchable: true
        }, {
          data: 'Num',
          className: 'align-middle text-center',
		  orderable: true,
          searchable: true
        }, {
          data: 'forfait',
          className: 'align-middle text-center',
          orderable: true,
          searchable: true
        }, {  
          data: 'date_activation',
          className: 'align-middle text-center',
          orderable: true,
          searchable: true
        },  {
          data: 'chez_per',
          className: 'align-middle',
          orderable: true,
          searchable: true
        },  {
          data: 'per',
          className: 'align-middle',
          orderable: true,
          searchable: true
        }, {
          data: 'date_saisie',
          className: 'align-middle text-center',
          orderable: true,
          searchable: true
        } ],
        columnDefs: [  {
          targets: 0,
          render: function render(data, type, row, meta) {
			  if(row.etat=="activé")
			  return"<span class=\"record-icon green pulse mr-1\"></span>";
		      else
			  return"<span class=\"record-icon red pulse mr-1\"></span> ";
               
          }
        },{
          targets: 1,
          render: function render(data, type, row, meta) {
            return row.Num ;
          }
        }, {
          targets: 2,
          render: function render(data, type, row, meta) {
             return row.forfait ;
			 }
        }, { 
          targets: 3,
          render: function render(data, type, row, meta) {
            return row.date_activation ;
          }
        } , {
          targets: 4,
          render: function render(data, type, row, meta) {
            return row.chez_per ;
          }
        }, {
          targets: 5,
          render: function render(data, type, row, meta) {
            return row.per ;
          }
        }, {
          targets: 6,
          render: function render(data, type, row, meta) {
            return row.date_saisie ;
          }
        }, {
          targets: 7,
          render: function render(data, type, row, meta) {
            return "<a class=\"btn btn-sm btn-icon btn-secondary\" data-bs-toggle=\"modal\" data-bs-target=\"#MODAL_DELL\" onclick=\"edit_SIM('".concat(row.Num, "','"+row.forfait+"','"+row.date_activation+"')\"><i class=\"fa fa-pencil-alt\"></i></a>\n          <a class=\"btn btn-sm btn-icon btn-secondary\"  onclick=\"DELL_SIM('").concat(row.Num,"')\"><i class=\"far fa-trash-alt\"></i></a>");
          }
        } ]
      });
    }
  }, {
    key: "searchRecords",
    value: function searchRecords() {
      var self = this;
      $('#table-search, #filterBy').on('keyup change focus', function (e) {
        var filterBy = $('#filterBy').val();
        var hasFilter = filterBy !== '';
        var value = $('#table-search').val(); // clear selected rows

        if (value.length && (e.type === 'keyup' || e.type === 'change')) {
          self.clearSelectedRows();
        } // reset search term


        self.table.search('').columns().search('').draw();

        if (hasFilter) {
          self.table.columns(filterBy).search(value).draw();
        } else {
          self.table.search(value).draw();
        }
      });
    }
  } ,  {
    key: "clearSelected",
    value: function clearSelected() {
      var self = this; // clear selected rows

      $('#Gestion_stock').on('page.dt', function () {
        self.clearSelectedRows();
      });
      $('#clear-search').on('click', function () {
        self.clearSelectedRows();
      });
    }
  }, {
    key: "clearSelectedRows",
    value: function clearSelectedRows() {
      $('#check-handle').prop('indeterminate', false).prop('checked', false).trigger('change');
    }
  }
  ]);

  return DataTablesDemo;
}(); 
 
$(document).on('theme:init', function () {
  new DataTablesDemo();

});
 
function modifier(){

// Récupérer l'ID de l'enregistrement et la nouvelle valeur à partir des éléments HTML
  var forfait = document.getElementById('forfait').value;
  var dt_activ = document.getElementById('dt_activ').value;
    num_sim = document.getElementById('Num_sim').value;
if(forfait.trim()!=""){
   
    var xhttp = new XMLHttpRequest();
   xhttp.onreadystatechange = function() {  
     if (this.readyState == 4 && this.status == 200) {  
			 if(this.responseText.trim()==="success") {
               alert_success();
             // Récupérer le numéro de la page actuelle
			var currentPage = $('#Gestion_stock').DataTable().page(); 
			// Recharger les données de la table avec Ajax
			$('#Gestion_stock').DataTable().ajax.reload(function() {
				// Après le rechargement des données, rétablir la page actuelle
				$('#Gestion_stock').DataTable().page(currentPage).draw(false);
			});
		   // var modal = document.getElementById("exampleModal"); 
               // modal.style.display = "none";
			 }else
			  alert_msg("La modification a échoué","warning");
	}
	 
  };  
  xhttp.open("POST", "assets/data/SUPP_STOCK.php?var=edit_SIM", true);
  xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
  xhttp.send("NUM=" + num_sim + "&forfait=" + forfait+ "&dt_activ=" + dt_activ);
  }else
	alert_msg("Choisir un forfait","warning"); 
 

} 
var num_sim;
function edit_SIM(num,fr,dt){
	num_sim=num;
	document.getElementById('Num_sim').value=num_sim;
	document.getElementById('forfait').value=fr;
	document.getElementById('dt_activ').value=dt;
}


  function DELL_SIM(NUM){ 
  
  if (confirm("SIM Numéro:"+NUM+"\nÊtes-vous sûr de vouloir supprimer cet SIM ?")) {
    
 var xhttp = new XMLHttpRequest();
   xhttp.onreadystatechange = function() {  
     if (this.readyState == 4 && this.status == 200) {  
			 if(this.responseText.trim()==="success") {
               alert_success();
             // Récupérer le numéro de la page actuelle
			var currentPage = $('#Gestion_stock').DataTable().page(); 
			// Recharger les données de la table avec Ajax
			$('#Gestion_stock').DataTable().ajax.reload(function() {
				// Après le rechargement des données, rétablir la page actuelle
				$('#Gestion_stock').DataTable().page(currentPage).draw(false);
			});
		   // var modal = document.getElementById("exampleModal"); 
               // modal.style.display = "none";
			 }else
			  alert_msg("La Suppression a échoué","warning");
	}
	 
  };   
  xhttp.open("POST", "assets/data/SUPP_STOCK.php", true);
  xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
  xhttp.send("NUM=" + NUM );
	
     
  }  
  
  
}
  function afficherChampsSaisie() {
            var modeAjout = document.querySelector('input[name="modeAjout"]:checked').value; 
             if (modeAjout === "unParUn") {
                    $('#zoneDebutFin').addClass('d-none');
                    $('#zoneNumero').removeClass('d-none');
                } else if (modeAjout === "enLot") {
                    $('#zoneNumero').addClass('d-none');
                    $('#zoneDebutFin').removeClass('d-none');
                }
        }
		
function Ajouter(){
 var modeAjout = document.querySelector('input[name="modeAjout"]:checked').value; 
        var Num_sim_d;
		var Num_sim_f;
			    if (modeAjout === "unParUn") {
                   Num_sim_d = document.getElementById('Num_sim0').value;
                   Num_sim_f = document.getElementById('Num_sim0').value;
                } else if (modeAjout === "enLot") {
                   Num_sim_d = document.getElementById('Num_sim1').value;
                   Num_sim_f = document.getElementById('Num_sim2').value;
                }
// Récupérer l'ID de l'enregistrement et la nouvelle valeur à partir des éléments HTML
  var forfait = document.getElementById('myforfait').value;
  var dt_activ = document.getElementById('mydt_activ').value; 
if((Num_sim_d!="")&&(Num_sim_f!="")&&(forfait.trim()!="")){ 
    var xhttp = new XMLHttpRequest();
   xhttp.onreadystatechange = function() {  
     if (this.readyState == 4 && this.status == 200) { 
			 if(this.responseText.trim()==="success") {
               alert_success();
             // Récupérer le numéro de la page actuelle
			var currentPage = $('#Gestion_stock').DataTable().page(); 
			// Recharger les données de la table avec Ajax
			$('#Gestion_stock').DataTable().ajax.reload(function() {
				// Après le rechargement des données, rétablir la page actuelle
				$('#Gestion_stock').DataTable().page(currentPage).draw(false);
			});
		   // var modal = document.getElementById("exampleModal"); 
               // modal.style.display = "none";
			 }else
			  alert_msg("L'ajout a échoué","warning");
	}
	 
  };  
  xhttp.open("POST", "assets/data/ADD_STOCK.php", true);
  xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
  xhttp.send("Num_sim_d=" + Num_sim_d + "&Num_sim_f=" + Num_sim_f+ "&forfait=" + forfait+ "&dt_activ=" + dt_activ);
  }else
	alert_msg("Choisir Numéro et forfait","warning"); 
 

} 